> For the complete documentation index, see [llms.txt](https://docs.high-mobility.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.high-mobility.com/api-references/data/vehicle-static-data/static-data-api.md).

# Static Data API

Vehicle Data.\
\
This is a proxy call to Dat's FinanceLine/soap/VehicleIdentificationService:getVehicleData API.\
\
Docs: <https://www.dat.de/fileadmin/de/support/interface-documentation/MG/SilverDAT\\_Schnittstellen-Kompendium\\_Mag/#/home/1987/20/21>    <br>
------------------------------------------------------------------------------------------------------------------------------------------------

> Returns vehicle static data for the given VIN.

```json
{"openapi":"3.0.3","info":{"title":"Static Data API","version":"1.0.0"},"tags":[{"name":"Static Data API"}],"servers":[{"url":"https://api.high-mobility.com"}],"security":[{"VehicleStaticDataAuth":["vehicle:static-data"]}],"components":{"securitySchemes":{"VehicleStaticDataAuth":{"flows":{"clientCredentials":{"scopes":{"vehicle:static-data":"static vehicle data"},"tokenUrl":"https://api.high-mobility.com/v1/access_token"}},"type":"oauth2"}},"schemas":{"VehicleStaticDataDataResponse":{"type":"object","properties":{"vehicle":{"type":"object","properties":{"manufacturer":{"type":"object","properties":{"brand":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}},"container":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}},"kba_numbers":{"type":"array","items":{"type":"string"}},"model":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}},"product_group":{"type":"object","properties":{"code":{"type":"string"},"name":{"type":"string"}}},"rental_car_class":{"type":"string"},"sales_description":{"type":"string"},"sub_model":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"variant":{"type":"string"}}},"vehicle_type":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}}}},"specs":{"type":"object","properties":{"body":{"type":"object","properties":{"doors":{"type":"string"},"seats":{"type":"string"},"structure":{"type":"object","properties":{"description":{"type":"string"},"type":{"type":"string"}}},"trunk":{"type":"object","properties":{"size":{"type":"object","properties":{"max":{"type":"string"},"standard":{"type":"string"}}}}}}},"dimensions":{"type":"object","properties":{"height":{"type":"string"},"length":{"type":"string"},"wheelbase":{"type":"string"},"width":{"type":"object","properties":{"mirrors":{"type":"string"},"standard":{"type":"string"}}}}},"drivetrain":{"type":"object","properties":{"axles":{"type":"object","properties":{"driven":{"type":"string"},"total":{"type":"string"}}},"code":{"type":"string"},"transmission":{"type":"object","properties":{"gears":{"type":"string"},"type":{"type":"string"}}},"type":{"type":"string"}}},"emissions":{"type":"object","properties":{"class":{"type":"object","properties":{"code":{"type":"string"},"description":{"type":"string"},"efficiency":{"type":"object","properties":{"nedc":{"type":"string"}}}}},"co2":{"type":"object","properties":{"nedc":{"type":"string"}}},"pricing":{"type":"object","properties":{"per_ton":{"type":"object","properties":{"high":{"type":"string"},"low":{"type":"string"},"medium":{"type":"string"}}},"range":{"type":"object","properties":{"end_year":{"type":"string"},"start_year":{"type":"string"}}}}}}},"engine":{"type":"object","properties":{"construction":{"type":"object","properties":{"capacity":{"type":"string"},"cycle":{"type":"string"},"cylinders":{"type":"object","properties":{"arrangement":{"type":"string"},"count":{"type":"string"}}}}},"output":{"type":"object","properties":{"power":{"type":"object","properties":{"hp":{"type":"string"},"kw":{"type":"string"},"max":{"type":"object","properties":{"at_rpm":{"type":"string"}}}}},"torque":{"type":"object","properties":{"max":{"type":"object","properties":{"at_rpm":{"type":"string"}}},"nm":{"type":"string"}}}}}}},"fuel":{"type":"object","properties":{"average_price":{"type":"object","properties":{"electricity":{"type":"string"},"fuel":{"type":"string"},"year":{"type":"string"}}},"capacity":{"type":"string"},"consumption":{"type":"object","properties":{"nedc":{"type":"object","properties":{"city":{"type":"string"},"combined":{"type":"string"},"highway":{"type":"string"}}},"wltp":{"type":"object","properties":{"city":{"type":"string"},"combined":{"type":"string"},"motorway":{"type":"string"},"petrol_equivalent":{"type":"string"},"rural":{"type":"string"},"town":{"type":"string"}}}}},"type":{"type":"object","properties":{"category":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"}}}}},"insurance_class":{"type":"object","properties":{"casco":{"type":"object","properties":{"complete":{"type":"string"},"partial":{"type":"string"}}},"liability":{"type":"string"}}},"performance":{"type":"object","properties":{"acceleration":{"type":"string"},"max_speed":{"type":"string"}}},"weight":{"type":"object","properties":{"limits":{"type":"object","properties":{"payload":{"type":"string"},"roof":{"type":"string"},"trailer":{"type":"object","properties":{"braked":{"type":"string"},"unbraked":{"type":"string"}}}}},"total":{"type":"string"},"unloaded":{"type":"string"}}},"wheels":{"type":"object","properties":{"tires":{"type":"object","properties":{"size":{"type":"object","properties":{"front":{"type":"string"},"rear":{"type":"string"}}}}}}}}},"valuation":{"type":"object","properties":{"price":{"type":"object","properties":{"original":{"type":"object","properties":{"gross":{"type":"string"},"net":{"type":"string"},"vat_rate":{"type":"string"}}}}}}}}}},"title":"VehicleStaticDataDataResponse"},"VehicleStaticDataResponseError":{"properties":{"errors":{"items":{"properties":{"detail":{"type":"string"},"title":{"type":"string"}},"type":"object"},"type":"array"},"request_id":{"description":"The request tracking id. Provide request_id when facing issue","type":"string"}}}}},"paths":{"/v1/vehicle-static-data/{vin}/data":{"get":{"tags":["Static Data API"],"summary":"Vehicle Data.\n\nThis is a proxy call to Dat's FinanceLine/soap/VehicleIdentificationService:getVehicleData API.\n\nDocs: https://www.dat.de/fileadmin/de/support/interface-documentation/MG/SilverDAT_Schnittstellen-Kompendium_Mag/#/home/1987/20/21    \n","description":"Returns vehicle static data for the given VIN.","parameters":[{"description":"Vehicle Identification number","in":"path","name":"vin","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticDataDataResponse"}}}},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticDataResponseError"}}},"description":"Not Authorized"},"504":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticDataResponseError"}}},"description":"Service unavailable"}}}}}}
```

## POST /v1/vehicle-static-data/{vin}/valuation

> Vehicle Valuation Data.\
> \
> This is a proxy call to Dat's FinanceLine/soap/Evaluation:getVehicleEvaluation API.\
> \
> Docs: <https://www.dat.de/fileadmin/de/support/interface-documentation/MG/SilverDAT\\_Schnittstellen-Kompendium\\_Mag/#/home/2156/20/21>    <br>

```json
{"openapi":"3.0.3","info":{"title":"Static Data API","version":"1.0.0"},"tags":[{"name":"Static Data API"}],"servers":[{"url":"https://api.high-mobility.com"}],"security":[{"VehicleStaticDataAuth":["vehicle:static-data"]}],"components":{"securitySchemes":{"VehicleStaticDataAuth":{"flows":{"clientCredentials":{"scopes":{"vehicle:static-data":"static vehicle data"},"tokenUrl":"https://api.high-mobility.com/v1/access_token"}},"type":"oauth2"}},"schemas":{"VehicleStaticValuationDataRequest":{"properties":{"odometer":{"type":"number"},"registration_date":{"type":"string"},"country_code":{"type":"string","description":"The target market for the valuation. A two-letter country code as defined in the ISO 3166-1 standard."}}},"VehicleStaticValuationDataResponse":{"properties":{"valuation":{"$ref":"#/components/schemas/VehicleStaticDataValuation"},"vehicle":{"$ref":"#/components/schemas/VehicleStaticDataResponse"}}},"VehicleStaticDataValuation":{"properties":{"price":{"$ref":"#/components/schemas/VehicleStaticDataValuationPrice"},"condition":{"$ref":"#/components/schemas/VehicleStaticDataValuationCondition"},"odometer":{"$ref":"#/components/schemas/VehicleStaticDataValuationOdometer"},"meta":{"$ref":"#/components/schemas/VehicleStaticDataValuationMeta"}}},"VehicleStaticDataValuationPrice":{"properties":{"base":{"$ref":"#/components/schemas/VehicleStaticDataValuationPriceBase"},"purchase":{"$ref":"#/components/schemas/VehicleStaticDataValuationPricePurchase"},"orginal":{"$ref":"#/components/schemas/VehicleStaticDataValuationPriceOriginal"},"sales":{"$ref":"#/components/schemas/VehicleStaticDataValuationPriceSales"},"equipment":{"$ref":"#/components/schemas/VehicleStaticDataValuationPriceEquipment"},"tires":{"$ref":"#/components/schemas/VehicleStaticDataValuationPriceTires"},"margin":{"$ref":"#/components/schemas/VehicleStaticDataValuationMargin"},"initial_registration_correction":{"$ref":"#/components/schemas/VehicleStaticDataValuationPriceInitialRegistrationCorrection"}}},"VehicleStaticDataValuationPriceBase":{"properties":{"1":{"type":"string","format":"decimal","description":"Dat Key: BasePrice | Reference value according to DAT  +Market index (net based on regular taxation) without optional equipment"},"2":{"type":"string","format":"decimal","description":"Dat Key: BasePrice2 | Reference value according to DAT adjusted by mileage and first-registration adjustment; base value determined by DAT, net based on regular taxation"},"3":{"type":"string","format":"decimal","description":"Dat Key: BasePrice3 | Base value as determined by DAT, net, based on regular taxation (incl. equipment)"}}},"VehicleStaticDataValuationPricePurchase":{"properties":{"net":{"type":"string","format":"decimal","description":"Dat key: PurchasePrice | Dealer purchase price, net (incl. equipment)."},"gross":{"type":"string","format":"decimal","description":"Dat key: PurchasePriceGross | Dealer purchase price, gross (incl. equipment)."}}},"VehicleStaticDataValuationPriceOriginal":{"properties":{"net":{"type":"string","format":"decimal","description":"Dat key: OriginalPrice | List original price according to DAT + Market index without optional equipment"},"gross":{"type":"string","format":"decimal","description":"Dat key: OriginalPriceGross | List original price according to DAT + Market index without optional equipment"}}},"VehicleStaticDataValuationPriceSales":{"properties":{"net":{"type":"string","format":"decimal","description":"Dat key: SalesPrice | Dealer sales price, net (including equipment)"},"gross":{"type":"string","format":"decimal","description":"Dat key: SalesPriceGross | Dealer sales price, gross (including equipment)"}}},"VehicleStaticDataValuationPriceEquipment":{"properties":{"original":{"type":"string","format":"decimal","description":"Dat key: EquipmentOriginalPrice | List original price of equipment"},"value":{"type":"string","format":"decimal","description":"Dat key:EquipmentPrice | Valuated price of equipment"},"value_type":{"type":"string","description":"Dat Key: EquipmentSign"}}},"VehicleStaticDataValuationPriceTires":{"properties":{"default":{"type":"string","format":"decimal","description":"Dat key: DefaultTiresPrice | Considered value of the standard tires (50%)"}}},"VehicleStaticDataValuationMargin":{"properties":{"net":{"type":"string","format":"decimal","description":"Dat key: Margin |Trade margin net"},"gross":{"type":"string","format":"decimal","description":"Dat key: MarginGross | Trade margin gross"}}},"VehicleStaticDataValuationPriceInitialRegistrationCorrection":{"type":"string","format":"decimal","description":"Dat key: InitialRegistrationCorr | First-registration adjustment (net)"},"VehicleStaticDataValuationCondition":{"properties":{"correction_factor_percentage":{"type":"string","format":"number","description":"Dat key: Condition/ConditionCorrectionFactorPerc | User value of condition adjustment in percent of the dealer selling price. Values range from 70 to 130."},"correction_amount":{"type":"object","properties":{"net":{"type":"string","format":"decimal","description":"Dat key: Condition/ConditionCorrectionAmount | Adjustment sum determined on the basis of parameter ConditionCorrectionFactorPerc as net value"},"gross":{"type":"string","format":"decimal","description":"Dat key: Condition/ConditionCorrectionAmountGross | Adjustment sum determined on the basis of parameter ConditionCorrectionFactorPerc as gross value"}}},"number_of_owners":{"type":"string","format":"number","description":"Dat key: Condition/NumberOfOwnersN | Number of owners"},"sub_total":{"type":"object","properties":{"1":{"type":"object","properties":{"net":{"type":"string","format":"decimal","description":"Dat key: Condition/ConditionSubTotal1 | Subtotal 1, including: IncreaseInValue, DecreaseInValue, TiresMountedValue, TiresUnmountedValue as net value"},"gross":{"type":"string","format":"decimal","description":"Dat key: Condition/ConditionSubTotal1Gross | Subtotal 1, including: IncreaseInValue, DecreaseInValue, TiresMountedValue, TiresUnmountedValue as gross value"}}},"2":{"type":"object","properties":{"net":{"type":"string","format":"decimal","description":"Dat key: Condition/ConditionSubTotal2 | Subtotal 2, including: OwnerCorrectionAmount, ConditionCorrectionAmount, RepairCosts as net value"},"gross":{"type":"string","format":"decimal","description":"Dat key: Condition/ConditionSubTotal2Gross | Subtotal 2, including: OwnerCorrectionAmount, ConditionCorrectionAmount, RepairCosts as gross value"}}}}}}},"VehicleStaticDataValuationOdometer":{"properties":{"reference":{"type":"string","format":"number","description":"Dat key: ReferenceMileage | Reference driving route according to DAT (km)"},"correction":{"type":"string","format":"decimal","description":"Dat key: MileageCorr | Mileage adjustment (net)"}}},"VehicleStaticDataValuationMeta":{"properties":{"last_valuation_date":{"type":"string","format":"datetime","description":"Dat key: LastValuationDate | Date of this valuation"},"residual_value_model":{"type":"string","description":"Dat key: ResidualValueModel | Residual-value model"},"type":{"type":"string","description":"Dat key: ValuationType | Evaluation type"}}},"VehicleStaticDataResponse":{"properties":{"manufacturer":{"$ref":"#/components/schemas/VehicleStaticDataManufacturer"},"equipment":{"$ref":"#/components/schemas/VehicleStaticDataEquipment"}}},"VehicleStaticDataManufacturer":{"properties":{"brand":{"type":"string","description":"Dat key: ManufacturerName"},"sub_model":{"type":"string","description":"Dat key: SubModelName"},"type_group_name":{"type":"string","description":"Dat key: MainTypeGroupName"},"model":{"type":"string","description":"Dat key: "},"sales_description":{"type":"string","description":"Dat key: SalesDescription"},"vehicle_main_type_key":{"type":"string","description":"Dat key: VINResult/VINECodes/VINECode/VehicleMainTypeKey"},"vehicle_sub_type_key":{"type":"string","description":"Dat key: VINResult/VINECodes/VINECode/VehicleSubTypeKey"},"vehicle_type_key":{"type":"string","description":"Dat key: VINResult/VINECodes/VINECode/VehicleTypeKey"}}},"VehicleStaticDataEquipment":{"properties":{"series_equipment":{"type":"array","items":{"$ref":"#/components/schemas/VehicleStaticDataEquipmentList"},"description":"Dat key: Equipment/SeriesEquipment"},"special_equipment":{"type":"array","items":{"$ref":"#/components/schemas/VehicleStaticDataEquipmentList"},"description":"Dat key: Equipment/SpecialEquipment"}}},"VehicleStaticDataEquipmentList":{"properties":{"manufacturer_id":{"type":"string","description":"Dat key: SeriesEquipment/EquipmentPosition/ManufacturerEquipmentId"},"description":{"type":"string","description":"Dat key: SeriesEquipment/EquipmentPosition/Description"},"positions":{"type":"array","items":{"type":"string"},"description":"Dat key: EquipmentPosition/ContainedEquipmentPositions values"}}},"VehicleStaticDataResponseError":{"properties":{"errors":{"items":{"properties":{"detail":{"type":"string"},"title":{"type":"string"}},"type":"object"},"type":"array"},"request_id":{"description":"The request tracking id. Provide request_id when facing issue","type":"string"}}},"VehicleStaticDataResponse422":{"properties":{"errors":{"items":{"properties":{"detail":{"type":"string"},"source":{"type":"string"},"description":{"type":"string"}},"type":"object"},"type":"array"},"request_id":{"description":"The request tracking id. Provide request_id when facing issue","type":"string"}}}}},"paths":{"/v1/vehicle-static-data/{vin}/valuation":{"post":{"summary":"Vehicle Valuation Data.\n\nThis is a proxy call to Dat's FinanceLine/soap/Evaluation:getVehicleEvaluation API.\n\nDocs: https://www.dat.de/fileadmin/de/support/interface-documentation/MG/SilverDAT_Schnittstellen-Kompendium_Mag/#/home/2156/20/21    \n","parameters":[{"description":"Vehicle Identification number","in":"path","name":"vin","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticValuationDataRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticValuationDataResponse"}}},"description":"successful operation"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticDataResponseError"}}},"description":"Not Authorized"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticDataResponse422"}}},"description":"Unprocessable Content"},"504":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticDataResponseError"}}},"description":"Service unavailable"}},"tags":["Static Data API"]}}}}
```

## GET /v1/vehicle-static-data/{vin}

> Vehicle Static Data.\
> \
> This is a proxy call to Dat's FinanceLine/soap/VehicleIdentificationService:getVehicleIdentificationByVin API.\
> \
> Docs: <https://www.dat.de/fileadmin/de/support/interface-documentation/MG/SilverDAT\\_Schnittstellen-Kompendium\\_Mag/#/home/1798/20/21><br>

```json
{"openapi":"3.0.3","info":{"title":"Static Data API","version":"1.0.0"},"tags":[{"name":"Static Data API"}],"servers":[{"url":"https://api.high-mobility.com"}],"security":[{"VehicleStaticDataAuth":["vehicle:static-data"]}],"components":{"securitySchemes":{"VehicleStaticDataAuth":{"flows":{"clientCredentials":{"scopes":{"vehicle:static-data":"static vehicle data"},"tokenUrl":"https://api.high-mobility.com/v1/access_token"}},"type":"oauth2"}},"schemas":{"VehicleStaticDataResponse":{"properties":{"manufacturer":{"$ref":"#/components/schemas/VehicleStaticDataManufacturer"},"equipment":{"$ref":"#/components/schemas/VehicleStaticDataEquipment"}}},"VehicleStaticDataManufacturer":{"properties":{"brand":{"type":"string","description":"Dat key: ManufacturerName"},"sub_model":{"type":"string","description":"Dat key: SubModelName"},"type_group_name":{"type":"string","description":"Dat key: MainTypeGroupName"},"model":{"type":"string","description":"Dat key: "},"sales_description":{"type":"string","description":"Dat key: SalesDescription"},"vehicle_main_type_key":{"type":"string","description":"Dat key: VINResult/VINECodes/VINECode/VehicleMainTypeKey"},"vehicle_sub_type_key":{"type":"string","description":"Dat key: VINResult/VINECodes/VINECode/VehicleSubTypeKey"},"vehicle_type_key":{"type":"string","description":"Dat key: VINResult/VINECodes/VINECode/VehicleTypeKey"}}},"VehicleStaticDataEquipment":{"properties":{"series_equipment":{"type":"array","items":{"$ref":"#/components/schemas/VehicleStaticDataEquipmentList"},"description":"Dat key: Equipment/SeriesEquipment"},"special_equipment":{"type":"array","items":{"$ref":"#/components/schemas/VehicleStaticDataEquipmentList"},"description":"Dat key: Equipment/SpecialEquipment"}}},"VehicleStaticDataEquipmentList":{"properties":{"manufacturer_id":{"type":"string","description":"Dat key: SeriesEquipment/EquipmentPosition/ManufacturerEquipmentId"},"description":{"type":"string","description":"Dat key: SeriesEquipment/EquipmentPosition/Description"},"positions":{"type":"array","items":{"type":"string"},"description":"Dat key: EquipmentPosition/ContainedEquipmentPositions values"}}},"VehicleStaticDataResponseError":{"properties":{"errors":{"items":{"properties":{"detail":{"type":"string"},"title":{"type":"string"}},"type":"object"},"type":"array"},"request_id":{"description":"The request tracking id. Provide request_id when facing issue","type":"string"}}}}},"paths":{"/v1/vehicle-static-data/{vin}":{"get":{"deprecated":true,"summary":"Vehicle Static Data.\n\nThis is a proxy call to Dat's FinanceLine/soap/VehicleIdentificationService:getVehicleIdentificationByVin API.\n\nDocs: https://www.dat.de/fileadmin/de/support/interface-documentation/MG/SilverDAT_Schnittstellen-Kompendium_Mag/#/home/1798/20/21\n","parameters":[{"description":"Vehicle Identification number","in":"path","name":"vin","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticDataResponse"}}},"description":"successful operation"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticDataResponseError"}}},"description":"Not Authorized"},"504":{"description":"Service unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VehicleStaticDataResponseError"}}}}},"tags":["Static Data API"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.high-mobility.com/api-references/data/vehicle-static-data/static-data-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
